@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/cockpitng/cng/scss/cockpitng-globals.scss';
@import '/home/trails/IdeaProjects/sap_commerce_2105/hybris/bin/modules/backoffice-framework/backoffice/resources/backoffice/generated/backoffice/scss/backoffice-variables.scss';


@import "../support/_rulebuilderbackoffice_common-variables.scss";
/* for In Progress only */
.yw-editorarea-tabbox-tabpanels-tabpanel-groupbox > .z-groupbox-content {
    padding: 10px 0 15px !important;
}

/* Icons for explorer tree */
div.yw-explorerTree {
	.y-tree-icon-hmc_typenode_promotion_rules .y-tree-icon {
		background-image: url("images/089_promotions.png");
	}

	.y-tree-icon-hmc_typenode_promotion_rule_templates .y-tree-icon {
		background-image: url("images/0133_promotion_templates.png");
	}
}

.yrb-condition,
.yrb-action {
	&s{
		width: 100%;
		background: $rulebuilder__ca-container--bg-color;
		padding: $rulebuilder__ca-container--padding;
	
		&-editor {
			width: 100%;

			.z-borderlayout {
				background-color: transparent;
			}
			.z-center {
				background: $rulebuilder__ca-container--bg-color;
				&-header {
					border: 0;
					padding-left: 0;
					padding-bottom: $rulebuilder__header-main--padding-bottom;
					color: $rulebuilder__header--color;
					font-size: $rulebuilder__header--font-size;
				}
			}
		}
		&-title>.z-label {
			font-size: $rulebuilder__title--font-size;
			font-weight: $rulebuilder__title--font-weight;
			color: $rulebuilder__title--color;
		}
		&-drop-placeholder {
			background: none;
			padding: $rulebuilder__ca-placeholder--padding;
			cursor: default;
			@if $rulebuilder__ca-placeholder--border-width {
				border: $rulebuilder__ca-container--border;
				border-width:  $rulebuilder__ca-placeholder--border-width;
			}
			&:hover {
				@if $rulebuilder__ca-placeholder-highlight-inner {
					.z-label {
						background: $rulebuilder__ca-placeholder--hover-bg-color;
					}
				}
				@else {
					background: $rulebuilder__ca-placeholder--hover-bg-color;
				}
			}
			&.z-drag-over {
				@if $rulebuilder__ca-placeholder-highlight-inner {
					.z-label {
						background: $rulebuilder__ca-placeholder--drag-over-bg-color;
					}
				}
				@else {
					background: $rulebuilder__ca-placeholder--drag-over-bg-color;
				}
				cursor: pointer;
				cursor: grab;
			}
			@if $rulebuilder__ca-placeholder--hover-color {
				&:hover, &.z-drag-over{
					.z-label {
						color: $rulebuilder__ca-placeholder--hover-color;
						@if $rulebuilder__ca-placeholder--add-hover-border-color {
							border-color: $rulebuilder__ca-placeholder--hover-color;
						}
					}
				}
			}
			.z-label {
				height: $rulebuilder__ca-placeholder-inner--height;
				border: $rulebuilder__ca-placeholder-inner--border;
				color: $rulebuilder__ca-placeholder-inner--color;
				background: $rulebuilder__ca-placeholder-inner--bg-color;
				font-size: $rulebuilder__ca-placeholder-inner--font-size;
				font-weight: $rulebuilder__ca-placeholder-inner--font-weight;
				line-height: $rulebuilder__ca-placeholder-inner--line-height;
				display: block;
				margin: 0;
				padding: 0;
				text-align: center;
				position: relative;
				overflow: hidden;
				
				
				@if $rulebuilder__ca-placeholder-inner-icon-image-right--bg-image {
					&:after {
						margin-top: $rulebuilder__ca-placeholder-inner-icon-image-right--margin-top;
						background: url($rulebuilder__ca-placeholder-inner-icon-image-right--bg-image) no-repeat 0px 100%;
						width: $rulebuilder__ca-placeholder-inner-icon-image-right--size;
						height: $rulebuilder__ca-placeholder-inner-icon-image-right--size;
						right: $rulebuilder__ca-placeholder-inner-icon-image-right--right;
						top: 50%;
						content: '';
						position: absolute;
					}
				}
			}
		}
	}
}
.yrb-condition,
.yrb-action {
	position: relative;
	display: table;
	background: none;
	width: 100%;
	margin: 0;
	padding: 0;
	min-width: $rulebuilder__ca-element--min-width;
	border: $rulebuilder__ca-element-default--border;
	border-width: $rulebuilder__ca-element--border-width;
	overflow: visible;
	@include _add-cursor-witth-fallback(grab);	
	
	&:first-child {
		border-top-width: 0;
	}
// .yrb-conditions, yrb-actions
	&s > & {
		border: $rulebuilder__ca-container--border;
		border-width: $rulebuilder__ca-element-default--border-width $rulebuilder__ca-element-default--border-width 0;
		&:first-child {
			border-top-width: $rulebuilder__ca-element-default--border-width;
		}
	}
	&s > &s-drop-placeholder {
		@if $rulebuilder__ca-placeholder-root--border-width {
			border: $rulebuilder__ca-container--border;
			border-width: $rulebuilder__ca-placeholder-root--border-width;
		}@else {
			border: none;
		}
		padding-bottom: 0;
	}
	&s &-children > &:before {
		margin-left: $rulebuilder__ca-element-default--border-width;
	}
	&-children &-caption-content {
		padding-left: $rulebuilder__ca-children-container-element-caption--padding-left;//$rulebuilder__ca-handle-node-title--padding-h
		.yrb-node,
		.yrb-expandable-node {
			left: $rulebuilder__ca-children-container-element-node-icon--left;
		}
	}

	&-breadcrumbs {
		padding: $rulebuilder__breadcrumb--padding;
		font-size: $rulebuilder__breadcrumb--font-size;
		line-height: $rulebuilder__breadcrumb--line-height;
		width: 100%;

		.rule-parameter {
			color: $rulebuilder__breadcrumb-parameter--color;
			font-weight: $rulebuilder__breadcrumb-parameter--font-weight;
			font-size: $rulebuilder__breadcrumb-parameter--font-size;
			letter-spacing: $rulebuilder__breadcrumb-parameter--letter-spacing;
		}
		.rule-separator {
			font-weight: $rulebuilder__breadcrumb-separator--font-weight;
		}
		@if $rulebuilder__breadcrumb-empty--content {
			span.z-html:empty {
				display: inline-block;
				position: relative;
				
				&:before {
					content: $rulebuilder__breadcrumb-empty--content;
					display: inline-block;
				}
			}
		}
	}
	&.z-drag-ghost {
		width: $rulebuilder__ca-element-dragged--width;
		border: $rulebuilder__ca-element-dragged--border;
		@include _add-cursor-witth-fallback(grabbing);
	}
	&-content {
		background: $rulebuilder__ca-element-content--bg-color;
		overflow: auto;

		>.z-groupbox, 
		>.z-groupbox {
			border: 0;
			padding: 0;

			>.z-groupbox-header {
				font-weight: normal;
				background: none;
			}
			>.z-groupbox-content,
			>.z-groupbox-header {
				padding: 0;
				border: 0;
				margin: 0;
			}
		}
	}
	&-caption {
		box-sizing: border-box;
		position: relative;
		width: 100%;
		background: none;

		&-content {
			box-sizing: border-box;
			display: table;
			padding: $rulebuilder__ca-element-caption--padding;
			line-height: normal;
			vertical-align: middle;

			.yrb-node,
			.yrb-expandable-node {
				position: absolute;
				top: 50%;
				left: $rulebuilder__ca-handle-node-title--padding-h;
				margin-top: -($rulebuilder__ca-container-node--size/2);
				width: $rulebuilder__ca-container-node--size;
				height: $rulebuilder__ca-container-node--size;
				@include _add-node-circle-before (0, 0);
			}

			>.z-label, 
			>i {
				display: table-cell;
				margin: 0;
				border: 0;
				padding: $rulebuilder__ca-element-caption-label--padding;
				line-height: $editor-defaults__inline-box--height;
				font-size: $font-size__base;
				color: $rulebuilder__ca-element-label--color;
				vertical-align: middle;
			}
			>.yrb-expandable-node>.yrb-toggle-children-btn {
				display: block;
				border: 0;
				padding: 0;
				background: none;

				>i {
					cursor: pointer;
					font-size: 1$rulebuilder__ca-element-label-node-icon--font-size;
					line-height: $rulebuilder__ca-element-label-node-icon--line-height;
					width: $rulebuilder__ca-element-label-node-icon--size;
					margin-left: $rulebuilder__ca-element-label-node-icon--margin-left;
					color: $rulebuilder__ca-element-label--icon-color;
					text-align: center;
				}
			}
			.yrb-delete-btn {
				right: $rulebuilder__ca-delete-btn--right;
				margin-top: $rulebuilder__ca-delete-btn--margin-top;
				padding: $rulebuilder__ca-delete-btn--padding;				
				width: $rulebuilder__ca-delete-btn--size;
				height: $rulebuilder__ca-delete-btn--size;
				position: absolute;
				top: 50%;
				background: none;
				border: 0;
				cursor: pointer;

				i {
					display: none;
				}
			}
			&:hover {
				>.z-label {
					color: $rulebuilder__ca-element-label--hover-color;
				}
			}
		}
	}
	@if $rulebuilder__ca-placeholder--bg-color {
		&-children &s-drop-placeholder {
			background: $rulebuilder__ca-placeholder--bg-color;
		}
	}
	&-children {
		border: $rulebuilder__ca-element-default--border;
		border-width: $rulebuilder__ca-children-container--border-width;
	}
}

.yrb-condition-handle, 
.yrb-action>.yrb-action-handle {
	display: none;
}

.yrb-condition-handle, 
.yrb-action > .yrb-action-handle, 
.yrb-conditions > .yrb-condition > .yrb-condition-handle {
	display: none;
	width: $rulebuilder__ca-handle-string--width;
	left: $rulebuilder__ca-handle-string--left;
	position: absolute;
	height: $rulebuilder__ca-handle-string--height;
	top: $rulebuilder__ca-handle-string--top;
	background: $rulebuilder__ca-handle-string--bg-color;
}

.yrb-action {
	.yrb-node {
		margin-left: $rulebuilder__action-element-caption--indent-left-addition;
	}
	&-caption-content {
		padding-left: $rulebuilder__action-element-caption--padding-left;
		> i {
			margin-right: $rulebuilder__ca-handle-node-title--padding-h;
			margin-left: $rulebuilder__ca-handle-node-title--padding-h;
			display: inline-block;
		}
	}
}